package org.dromara.zhishu.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.zhishu.domain.Statistic;
import org.dromara.zhishu.domain.vo.StatisticVo;

import java.util.List;

@Mapper
public interface CountMapper extends BaseMapperPlus<Statistic, StatisticVo> {

    List<Long> selectDepotId(Long userId);

    Long selectW(Long userId);

    Long selectS(List<Long> depotId);
}
